<?php

namespace helpers;

class xlvask_guid extends xlvask_helper
{
    /**
     * Generates a unique GUID for the XLVask system.
     *
     * @return string The generated customer ID. (UUID format)
     */
    public static function generate(): string
    {
        // Generate a UUID
        return sprintf(
            '%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
            mt_rand(0, 0xffff), mt_rand(0, 0xffff),
            mt_rand(0, 0xffff),
            mt_rand(0, 0x0fff) | 0x4000,
            mt_rand(0, 0x3fff) | 0x8000,
            mt_rand(0, 0xffff), mt_rand(0, 0xffff), mt_rand(0, 0xffff)
        );
    }
}